Skip to main content
POST
https://checkout.dintero.com/v1
/
sessions
/
{session_id}
/
payex
/
callback
/
{payment_product_type}
checkout_sid_callback_post
curl --request POST \
  --url https://checkout.dintero.com/v1/sessions/{session_id}/payex/callback/{payment_product_type} \
  --header 'Content-Type: application/json' \
  --data '
{
  "payment": {
    "id": "/psp/<payment instrument>/payments/22222222-2222-2222-2222-22222222222",
    "number": 222222222
  }
}
'
import requests

url = "https://checkout.dintero.com/v1/sessions/{session_id}/payex/callback/{payment_product_type}"

payload = { "payment": {
        "id": "/psp/<payment instrument>/payments/22222222-2222-2222-2222-22222222222",
        "number": 222222222
    } }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    payment: {
      id: '/psp/<payment instrument>/payments/22222222-2222-2222-2222-22222222222',
      number: 222222222
    }
  })
};

fetch('https://checkout.dintero.com/v1/sessions/{session_id}/payex/callback/{payment_product_type}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://checkout.dintero.com/v1/sessions/{session_id}/payex/callback/{payment_product_type}"

	payload := strings.NewReader("{\n  \"payment\": {\n    \"id\": \"/psp/<payment instrument>/payments/22222222-2222-2222-2222-22222222222\",\n    \"number\": 222222222\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.post("https://checkout.dintero.com/v1/sessions/{session_id}/payex/callback/{payment_product_type}")
  .header("Content-Type", "application/json")
  .body("{\n  \"payment\": {\n    \"id\": \"/psp/<payment instrument>/payments/22222222-2222-2222-2222-22222222222\",\n    \"number\": 222222222\n  }\n}")
  .asString();
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "errors": [
      {}
    ]
  }
}
{
  "error": {
    "message": "<string>",
    "code": "<string>",
    "errors": [
      {}
    ]
  }
}

Path Parameters

session_id
string<checkout-id>
required

The session ID

payment_product_type
enum<string>
required
Available options:
payex.creditcard,
payex.mobilepay,
payex.swish,
payex.vipps

Query Parameters

token
string

Body

application/json
payment
object
required
paymentOrder
object
transaction
object

Response

callback handled

Last modified on July 9, 2026